<script lang="ts">
  type BtnType = "button" | "submit" | "reset";

  const {
    variant = "",
    class: externalClass = "",
    disabled = false,
    type: btnType = "button" as BtnType,
    onclick,
    children,
  } = $props();
</script>

<button
  class={`retro-btn ${variant} ${externalClass}`.trim()}
  {disabled}
  type={btnType}
  {onclick}
>
  {@render children()}
</button>
